﻿#language: ru

Функционал: Извлечение сыра из солилки и упаковка 

Сценарий: Извлечение сыра из солилки и упаковка 
	Дано Я подключаюсь под "Киоск"
	И в поле 'Дата' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Посолка'     |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Выпуск сыра'
	Тогда открылось окно 'Выпуск сыра *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Номенклатура'                      |
		| 'Российский 50% / Варка / 12.03.2019/1' 	|
	И в таблице "ТаблицаОстатков" я активизирую поле с именем "ТаблицаОстатковНоменклатураПредставление"
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Выпуск сыра *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Камера созревания 1'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Выпуск сыра *'
	И я нажимаю кнопку выбора у поля "Пакет"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'          |
		| 'Пакет ' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Выпуск сыра *'
	И я нажимаю на кнопку 'КомандаКалькуляторВесТары'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск сыра *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '6'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '8'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск сыра *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '4'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск сыра *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Печать документа'
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Печать документа'
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Выпуск сыра *'
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Номенклатура'                      |
		| 'Российский 50% / Варка / 12.03.2019/1' 	|
	И в таблице "ТаблицаОстатков" я активизирую поле с именем "ТаблицаОстатковНоменклатураПредставление"
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Выпуск сыра *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Камера созревания 1'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Выпуск сыра *'
	И я нажимаю кнопку выбора у поля "Пакет"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'          |
		| 'Пакет ' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Выпуск сыра *'
	И я нажимаю на кнопку 'КомандаКалькуляторВесТары'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск сыра *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск сыра *'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество1'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск сыра *'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Печать документа'
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Печать документа'
	И Я закрываю окно 'Печать документа'
	И Я закрываю окно 'Выпуск сыра *'
